// Dialog2Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Dialog2.h"
#include "Dialog2Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialog2Dlg dialog

CDialog2Dlg::CDialog2Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDialog2Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialog2Dlg)
	m_strFirstName = _T("");
	m_strLastName = _T("");
	m_bJava = FALSE;
	//m_nTitle = -1;
	m_bVisualBasic = FALSE;
	m_bVisualCpp = FALSE;
	//m_nWin98 = -1;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_nWin98 =0;
	m_nTitle = 0;
}

void CDialog2Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialog2Dlg)
	DDX_Control(pDX, IDC_PROG_TECH, m_ProgTech);
	DDX_Control(pDX, IDC_YOUR_FAVORITE_TECH, m_YourFavoriteTech);
	DDX_Text(pDX, IDC_FIRSTNAME, m_strFirstName);
	DDX_Text(pDX, IDC_LASTNAME, m_strLastName);
	DDX_Check(pDX, IDC_JAVA, m_bJava);
	DDX_CBIndex(pDX, IDC_TITLE, m_nTitle);
	DDX_Check(pDX, IDC_VISUAL_BASIC, m_bVisualBasic);
	DDX_Check(pDX, IDC_VISUAL_CPP, m_bVisualCpp);
	DDX_Radio(pDX, IDC_WIN98, m_nWin98);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDialog2Dlg, CDialog)
	//{{AFX_MSG_MAP(CDialog2Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_DESELECT, OnDeselect)
	ON_BN_CLICKED(IDC_SELECT, OnSelect)
	ON_BN_CLICKED(IDC_SUBMIT, OnSubmit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialog2Dlg message handlers

BOOL CDialog2Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	//Populate Programming Technologies List Box
	PopulateProgTech();  
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDialog2Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDialog2Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDialog2Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CDialog2Dlg::OnSubmit() 
{
	// TODO: Add your control notification handler code here
	CString strTitle;
	int nReturnValue;
	
	m_strProgLanguage="Programming Languages you prefer \n" ;

	UpdateData(); //Transfer data from controls to variables
	
	GetDlgItem(IDC_WIN98+m_nWin98)->GetWindowText(m_strOpertingSystem);
	

	if(m_bJava)
		m_strProgLanguage+="Java\n "  ;
	
	if(m_bVisualBasic)
		m_strProgLanguage+="Visual Basic\n "  ;
	
	if(m_bVisualCpp)
		m_strProgLanguage+="C++/Visual C++\n "  ;
	
	//get currently selected text
		
	nReturnValue=GetDlgItemText(IDC_TITLE, strTitle);
	

	m_strFullInfo = "You are "+strTitle + " "+m_strFirstName + " "+ m_strLastName;
	
	
	
	UpdateData(FALSE);  //Tansfer data from variables to controls
	
	CString Sel;
	m_strSelectedTech="";

	int nCount = m_YourFavoriteTech.GetCount();  //Get number of items in the list box
	
	if(nCount > 0) //Check for empty list box
	{
		for(int i=0; i<nCount; i++) 
		{

			m_YourFavoriteTech.GetText(i, Sel);
	
			m_strSelectedTech+=Sel + "\n";
		}
	}


	m_strFullInfo=m_strFullInfo+"\n"+ m_strProgLanguage +"\n" 
		+ "favourite technology\n "+m_strSelectedTech+"\nand your favourite operating System is \n"
		+m_strOpertingSystem;

	MessageBox(m_strFullInfo);  
	
	
	
}

void CDialog2Dlg::PopulateProgTech()
{
	//Populate the Programmig Technologies List Box

	m_ProgTech.AddString("XML");
	m_ProgTech.AddString("COM/DCOM");
	m_ProgTech.AddString("ADO");
	m_ProgTech.AddString("OLE DB");
	m_ProgTech.AddString("ASP");
	m_ProgTech.AddString("ATL");

}



void CDialog2Dlg::OnSelect() 
{
	// TODO: Add your control notification handler code here
	

	int nSelectted=m_ProgTech.GetCurSel();//Get the index of the selected item
		
	
	if (nSelectted != LB_ERR)   //Check for Selection
	{

	CString Sel;

	m_ProgTech.GetText(nSelectted,Sel);	//Get the Selectted Text
	m_YourFavoriteTech.AddString(Sel);		//Add string to list to Favorite Technology
	m_ProgTech.DeleteString(nSelectted);	//Delete the Selectted item from the list of Techologies
	
	}
	
}

void CDialog2Dlg::OnDeselect() 
{
	// TODO: Add your control notification handler code here
	int nSelectted=m_YourFavoriteTech.GetCurSel(); //Get the index of the selected item
	
	if (nSelectted != LB_ERR) //Check for Selection
	{

	CString Sel;
	
	m_YourFavoriteTech.GetText(nSelectted,Sel);  //Get the Selectted Text	
	m_ProgTech.AddString(Sel);				    //Add the deselectted technology
											    //to list to back Technology

	m_YourFavoriteTech.DeleteString(nSelectted); //Delete the Selectted item from the 
												//list of Favorite Techologies
	
	}
	

	
}


